package com.billpringle.utils.wrputils;

import java.sql.SQLException;

/**
 * This class provides a connection to a specific database.
 * This class can be used to load ZipCode information
 * from a MySQL database.
 * </p>
 * <p>
 * This class extends the generic class <a href="WrpDb.html">WrpDb</a>.
 * It is expected that clients will create their own classes
 * in a similar way and supply the correct connection information.
 * </p>
 * 
 * 
  <table border="0" cellspacing="0" cellpadding="6" align="center"
  summary="Creative Commons license">
    <tr>
      <td><!-- Creative Commons License -->
      <a rel="license" href=
      "http://creativecommons.org/licenses/by-nc-sa/2.0/" target=
      "CC"><img alt="Creative Commons License" border="0" src=
      "http://creativecommons.org/images/public/somerights20.gif" /></a></td>

      <td><a rel="license" href=
      "http://creativecommons.org/licenses/by-nc-sa/2.0/" target=
      "CC"><img alt="Creative Commons License Symbols" border="0"
      src="cc_lic.gif" /></a> <!-- /Creative Commons License --></td>

      <td>Unless noted otherwise, all materials available for
      download from my site are copyrighted by Bill Pringle, and
      are licensed under a <a rel="license" href=
      "http://creativecommons.org/licenses/by-nc-sa/2.0/" target=
      "CC">Creative Commons License</a>.</td>
    </tr>
  </table>
  
 * @author Bill Pringle
 *
 */
public class UtilDb extends WrpDb
{
	/** Name of the database */
	public static String strDatabase = new String("wrputils");
	/** host name of database server */
	public static String strHost = new String("127.0.0.1");
	/** user name for database */
	public static String strUser = new String("root");
	/** password for database */
	public static String strPassword = new String("");

	/**
	 * Default (and only) constructor.
	 * This class connects to the e-mail database, which contains
	 * zip code, e-mail, and shipper validation information 
	 * for TSA Cargo Security.
	 * 
	 * @throws ClassNotFoundException
	 * @throws IllegalAccessException
	 * @throws InstantiationException
	 * @throws SQLException
	 */
	public UtilDb() throws ClassNotFoundException, IllegalAccessException, InstantiationException, SQLException
	{
		super(strDatabase, strHost, strUser, strPassword);
	}
}
